Subject: Re: wither bounds checking for networking sysctls

From: Rick Jones <[email-masked]>
Date: Fri, 31 Aug 2007 10:14:53 -0700

Stephen Hemminger wrote:
> On Thu, 30 Aug 2007 18:09:17 -0700
> Rick Jones <[email-masked]> wrote:
> 
> 
>>While messing about with "sysctl_tcp_rto_min" I went back and forth a 
>>bit as to whether there should have been bounds checking (as did some of 
>>the folks who did some internal review for me).  That leads to the 
>>question - is it considered worthwhile to add a bit more bounds checking 
>>to sundry networking sysctls?
>>
>>rick jones
> 
> 
> IMHO As long as the any value from sysctl doesn't crash kernel, we
> should let it go. Enforcing RFC policy or inter-dependencies seems
> likes a useless exercise.

I was thinking more along the lines of more fundamental things - like 
precluding negative values when something is clearly a positive.

rick jones